package guillermocs.patrimonio30

import android.app.ListActivity
import android.os.Bundle
import com.twitter.sdk.android.tweetui.TweetTimelineListAdapter
import com.twitter.sdk.android.tweetui.UserTimeline


/**
 * @author Guillermo Cebrián Serrano
 * Activity que se encarga de mostrar una lista de noticias
 */
class NewsActivity : ListActivity() {


    override fun onCreate(savedInstanceState: Bundle?){
        super.onCreate(savedInstanceState)

        // Rellenamos el layout para este activity
        setContentView(R.layout.activity_news)


        // Obtenemos la lista de noticias que vamos a mostrar
        val userTimeline = UserTimeline.Builder()
                .screenName("CyLesVida")
                .build()

        // Creamos el adaptador y lo asignamos
        val adapter = TweetTimelineListAdapter.Builder(this)
                .setTimeline(userTimeline)
                .build()

        listAdapter = adapter

    }
}
