package guillermocs.patrimonio30;

import android.util.Log
import guillermocs.patrimonio30.Clases.Question
import guillermocs.patrimonio30.Clases.Place
import guillermocs.patrimonio30.Clases.Test

class RellenaBD {


    private var TAG = "RellenaBD"


    fun rellenabdsitios(): ArrayList<Place> {
        var sitios = ArrayList<Place>()
        sitios.add(Place(PlacesId = 1, Name = "Iglesia de Santa Maria", Image = "http://servicios.jcyl.es/pweb/downloadFoto.do?numbien=14354", Description = "" +
                "Interesante templo en el que se conjugan los distintos estilos artísticos del siglo " +
                "XVI, en especial el mudéjar y el renacimiento, aunque también aparecen elementos " +
                "tardogóticos. Sufrió reformas en el siglo XVII, en que se rehicieron la mayoría de las " +
                "cubiertas sustituyendo las originales de madera por bóvedas. " +
                " Construida en ladrillo y mampostería, se trata de una iglesia de tipo salón, con tres " +
                "naves a la misma altura separadas por pilares y de cuatro tramos más crucero; se cubren " +
                "con bóveda de cañón con lunetos y arista, excepto los brazos del crucero cerrados con " +
                "bóveda de crucería estrellada. La capilla mayor se cubre con armadura mudéjar ochavada " +
                "del siglo XVI, dorada y policromada, con labores de mocárabes y detalles escultóricos " +
                "renacentistas en el arrocabe. También el crucero se cubre con otra armadura mudéjar " +
                "ochavada sin policromar y con similar decoración que la anterior. A los pies coro en alto, " +
                "de madera, que ocupa las tres naves, con labores mudéjares y detalles ornamentales " +
                "renacentistas como los artesonados citados anteriormente. " +
                " La torre, del siglo XVIII, se sitúa a occidente y es del mismo tipo estilizado y " +
                "características constructivas y ornamentales que las de la comarca; es de planta cuadrada y " +
                "construida en ladrillo y piedra. Se articula sobre un basamento y cinco cuerpos, los dos " +
                "primeros lisos, el siguiente con dobles ventanas, el cuarto más estrecho y menos alto y con " +
                "dos vanos por cada frente y remate en frontones partidos, y el último ochavado repitiendo " +
                "en cada cara las dobles ventanas y rematado por cúpula y linterna apuntada. La sacristía, en " +
                "el costado sur a la cabecera, se cubre con bóveda de cañón con lunetos que se decoran con " +
                "yeserías. El acceso al templo se verifica por el lado de la Epístola, con portada albertiana " +
                "de medio punto flanqueada por pilastras dobles con nichos entre ellas que contienen " +
                "estatuas pétreas de la Asunción, San Pedro, San Pablo y San Cristóbal. Se remata con un " +
                "segundo cuerpo y frontón con bolas. " +
                " Retablo mayor romanista obra de Esteban Jordán, contratado en 1589 y " +
                "policromado por Francisco Martínez, como el de Santa María de Medina de Rioseco. " +
                "Presenta predella y dos cuerpos con temas de la Vida de la Virgen y se remata por amplio " +
                "ático que aloja el Calvario para enjarjar con la armadura. Las dos figuras de Cristo en " +
                "óvalos de la parte superior son del escultor Francisco del Rincón. " +
                " En la sacristía destacan dos pinturas del hábil maestro italiano de finales del siglo " +
                "XVII Lucas Jordán que representan el Nacimiento y San José y el Angel. En el resto de la " +
                "iglesia y en el camarín conjunto de retablos, esculturas y pinturas de los siglos XVII y " +
                "XVIII.\n Autor: Javier Rivera Blanco. ",
                Location = "41.31, -5.2136", InterestUrl = "http://servicios.jcyl.es/pweb/datos.do?numero=14354&tipo=Inmuebles&ruta="))

        sitios.add(Place(PlacesId = 2, Name = "Castillo de la Adrada", Image = "http://servicios.jcyl.es/pweb/downloadFoto.do?numbien=36", Description = "El castillo cuenta con dos recintos de planta irregular y tendencia rectangular. Las dimensiones máximas son de unos 90 x 60 m al exterior. y de 47 x 36 m al interior. Se accdedía a la fortaleza por su lado NO., a través de un puente levadizo, del que aún se conserva el pilar de sustentación (puente que, lógicamente, salvaba el foso periférico a todo el recinto exterior, hoy casi borrado) y una entrada de arco rebajado con bóveda interior, flanqueada por dos cubos macizos semicirculares. Esta primera línea presentaba un total de ocho cubos de muy variado tamaño y tipología (semicirculares, ultrasemicirculares, macizos y huecos) distribuidos de forma irregular, preferentemente por sus lados S. y O. El recinto interior es más regular y en él destaca una iglesia gótica de una sola nave con abside semicircular, posible origen de la fortificación (Cooper, 1991: 357). De la misma, se conserva la cabecera, parte de los muros laterales y el ábside abovedado, que la separa de la nave por un gran arco apuntado de unas 50 dovelas con marcas de cantero. En el interior de la nave, se trazaron muros perpendiculares que compartimentan el espacio y junto a la iglesia se adosó una nueva estacia, en cuyo interior se instaló un aljibe, con boca de ladrillo y salas subterráneas adinteladas y abovedadas con muros de sillería, así como un torre albarrana pentagonal en su esquina N.E. El nucleo originario, esto es la iglesia gótica, parece datar del siglo XIV, mientras que su conversión en fortaleza debió producirse durante la centuria siguiente. Datos tomados de las fichas de inventario. Autor: Anta Alonso, F. vs. Campano Lorenzo, A.. Bibliografía: MARTÍN CARRAMOLINO, J., (1972): Historia de Ávila, su provincia y obispado, I-III: 96, Madrid.",
                Location = "40.2988, -4.6397", InterestUrl = "http://servicios.jcyl.es/pweb/datos.do?numero=36&tipo=Inmuebles&ruta="))

        sitios.add(Place(
                PlacesId = 3,
                Name = "Convento de San Marcos",
                Image = "http://servicios.jcyl.es/pweb/downloadFoto.do?numbien=4874",
                Description = "A la salida de León, en el Camino de Santiago y a la vera del río Bernesga, se levanta el " +
                        "que fuera convento de la Orden de Santiago, erigido para atender a los peregrinos " +
                        "jacobeos y en la actualidad destinado a funciones hosteleras y a Museo Arqueológico " +
                        "provincial. Sus orígenes se remontan al siglo XII en que la reina doña Sancha fundó un " +
                        "templo y un hospital para pobres y peregrinos regentado por canónigos regulares de San " +
                        "Agustín. En 1176 pasó a la Orden de Santiago convirtiéndolo en casa mayor del Reino " +
                        "de León. El edificio actual se comenzó en 1514 en que el rey don Fernando el Católico " +
                        "otorgó 300.000 maravedís anuales para la fábrica; los planos fueron redactados por el " +
                        "arquitecto de la Orden en Alcántara, Pedro de Larrea, y Juan de Orozco se encargó de " +
                        "las obras entre 1515 y 1539 perteneciendole la iglesia en una de cuyas hornacinas de la " +
                        "fachada principal dejó su firma \"Orozco me fecit\". Le sucedió Martín de Villarreal " +
                        "(1539-1543) que elevó todo el cuerpo de la fachada principal hasta la puerta con la " +
                        "colaboración de numerosos escultores y canteros como Juan de Juni, Esteban Jamete, " +
                        "Juan de Angés, Guillén Doncel, etc.; paralelamente Juan de Badajoz el Mozo construyó " +
                        "parte del claustro, la sacristía y otras dependencias. En 1566 se detienen los trabajos por " +
                        "abandono del lugar por los santiaguistas que no retornan hasta 1602, aunque en los años " +
                        "anteriores a esta última fecha habían encargado nuevas obras a Juan del Ribero Rada y " +
                        "sus aparejadores; a partir de 1615 se construye la escalera y varias habitaciones; en 1679 " +
                        "se concluye el claustro principal. Entre 1711 y 1716 Martín de Suinaga construye desde " +
                        "la puerta hasta el torreón del río, con las dependencias posteriores incluido el claustro de " +
                        "la hospedería, con la colaboración de los escultores Bibero y Antonio y Pedro de " +
                        "Valladolid, éste seguramente con participación directa en el proyecto a juzgar por su " +
                        "traza no realizada que se conserva en el Archivo Histórico Nacional. Desamortizado el " +
                        "edificio en el XIX cumplió diversos usos, como colegio de Escolapios; en 1892 pasa al " +
                        "ministerio de Guerra y hasta 1961 cumple misiones de cuartel, cárcel y depósito de " +
                        "sementales. Finalmente se rehabilita para Parador de Turismo. " +
                        " La iglesia es gótica; tiene su fachada entre dos torres sin concluir cobijando la " +
                        "puerta bajo un gran arco de medio punto con terraza encima y por toda ella campean " +
                        "signos santiaguistas. El interior es de una nave con capillas entre contrafuertes, crucero " +
                        "y ábside poligonal; desde el brazo norte de aquél se accede a la escalera y sacristía de " +
                        "dos piezas, obras platerescas de Juan de Badajoz el Mozo. La fachada principal muestra " +
                        "el lado oriental, igualmente plateresco, de dos plantas y con sus muros llenos de relieves " +
                        "y medallones de gran calidad; el resto de la misma se hizo ya en el período barroco, " +
                        "pero siguiendo la \"unidad formal\" de lo antiguo, excepto en el torreón. El conjunto " +
                        "muestra un complejo programa iconográfico de exaltación a los intereses culturales y " +
                        "benéficos de la Orden de Santiago y de la monarquía hispánica. El claustro procesional, " +
                        "plateresco y acabado en el barroco siguiendo también el primitivo estilo, reitera " +
                        "idénticos mensajes simbólicos. Destacables son también la sala capitular, con un " +
                        "artesonado plateresco y la escalera clasicista. El claustro de la hospedería fue anulado " +
                        "para convertirlo en comedor. " +
                        " En el claustro, sala contigua a la iglesia y sacristías se expone las más " +
                        "importantes piezas del Museo Arqueológico Provincial con excepcional colección " +
                        "prehistórica, numismática, epigráfica romana y vadiniense, mosaicos romanos, obras " +
                        "prerrománicas como la cruz de Ramiro II (S. X), muestras románicas como el Cristo de " +
                        "Carrizo (S. XI), el Calvario de Corullón (XII), relieves del monasterio de Sahagún (S. " +
                        "XI y XIII), retablo de San Marcelo (S. XIV), obras de Juan de Juni (XVI), el San " +
                        "Francisco de Carmona (XVIII), Isabel II por Madrazo (XIX). También es excelente la " +
                        "sillería del coro, obra de Doncel, Juni, Angérs, etc. (S. XVI). \n" +
                        "Autor: Javier Rivera Blanco",
                Location = "42.6020, -5.5815",
                InterestUrl = "http://servicios.jcyl.es/pweb/datos.do?numero=4874&tipo=Inmuebles&ruta="))

        sitios.add(Place(
                PlacesId = 4,
                Name = "Acueducto Romano",
                Image = "http://servicios.jcyl.es/pweb/downloadFoto.do?numbien=11669",
                Description = "Monumento incluido en el catálogo del Patrimonio Mundial por la UNESCO el 4 de " +
                        "diciembre de 1985, durante la Convención del Comité del Patrimonio Mundial celebrada " +
                        "en París, por ser uno de los edificios romanos más singulares conservados en el mundo. Se " +
                        "trata, también, de la obra de ingeniería romana más importante realizada en España. Según " +
                        "los últimos estudios realizados por el epigrafista de la Universidad de Heidelberg Geza " +
                        "Alföldy a partir de los huecos de las letras de la inscripción original el Acueducto fue " +
                        "construido en el año 98 de nuestra era siendo emperador Domiciano y en la última línea " +
                        "decía \"Acqua restituerunt\". Se han realizado en él numerosas obras de conservación y" +
                        "restauración, ya documentadas desde época musulmán y desde la Baja Edad Media," +
                        "incluso por Isabel La Católica, empeñada en su mantenimiento, que las encargó en 1481 al " +
                        "arquitecto Fray Juan de Escobedo, monje del Parral. La más importantes en el siglo XX, " +
                        "así en los años 1957-58 por Anselmo Arenillas, que recalzó varios pilares; la más notable y " +
                        "mejor realizada se efectuó en los años setenta por los ingenieros C. Fernández Casado y " +
                        "Aurelio Ramírez Gallardo, consistente en el grapado de sillares fragmentados con barras " +
                        "de bronce unidos por pegamentos y el recalce de un pilar elevado sobre banco de arena. En " +
                        "los años noventa se inició otra por el arquitecto F. Jurado con la colaboración del Consejo " +
                        "de Europa.\n " +
                        " Construido con sillares de granito (\"opus quadratum\") de la Sierra del Guadarrama " +
                        "colocados a hueso y sin argamasa alguna. Comienza en la carretera de La Granja, en el " +
                        "pago de \"El Pinar\", donde excavaciones arqueológicas han localizado los arranques de las " +
                        "tomas; conducía agua desde la Sierra de Guadarrama, desde el arroyo de la Acebeda en el " +
                        "lugar llamado Fuenfría hasta el Alcázar en la ciudad de Ávila, con una distancia de unos 15 " +
                        "kilómetros. Tiene una longitud de 850 metros aproximadamente, una altura máxima en la " +
                        "plaza del Azoguejo de 28,50 metros y 128 arcos con la altura menor de estos de 7 metros y " +
                        "una luz intermedia de 4 metros, totalizando unos 20.400 sillares. " +
                        " Lo más espectacular son sus arcos de medio punto con sillares perfectamente " +
                        "escuadrados y dovelas radiales erigidos que se disponen sobre un piso en los extremos y " +
                        "dos en el centro de la plaza citada descansando sobre gruesos pilares rectangulares y " +
                        "levantados algunos sobre bancales de aluvión, lo que asegura su permanencia ante " +
                        "movimientos sísmicos, otros con mayor peligro sobre roca (gneis) bastante descompuesta. " +
                        " En la plaza, los cuatro arcos centrales se rematan al arranque del segundo piso con " +
                        "un frontis en el que se colocó en origen la dedicatoria imperial y en el que se conservan los " +
                        "huecos que sustentaban los engarces de las letras. Encima, sobre el pilar que marca el eje, " +
                        "una hornacina que en origen pudo contener la imagen de un dios pagano, ahora ocupada " +
                        "por una escultura de la Virgen del Carmen. " +
                        " Ha sido restaurado por la Junta de Castilla y León y la Fundación Caja Madrid. \n" +
                        "Autor: C. Rodicio Rodríguez",
                Location = "40.9479,-4.1177"
                , InterestUrl = "http://servicios.jcyl.es/pweb/datos.do?numero=11669&tipo=Inmuebles&ruta="))

        sitios.add(Place(
                PlacesId = 5,
                Name = "Catedral de San Antolín",
                Image = "http://servicios.jcyl.es/pweb/downloadFoto.do?numbien=7583",
                Description = "En el sudeste de la ciudad medieval, próxima a las \"Puentecillas\" -puente viejo " +
                        "sobre el río Carrión-, se levanta la Catedral sobre solares romanos. Posee restos de diversas " +
                        "etapas constructivas anteriores a la actual, como elementos visigodos, y restos de la cripta " +
                        "del siglo XI. En la segunda mitad del siglo XII se levantó otra iglesia románica que se " +
                        "dedicó en 1219. El edificio actual se comenzó por el obispo don Gómez el día 1 de junio" +
                        "de 1321 por la cabecera. En él se reconocen claramente tres etapas constructivas, la " +
                        "primera entre 1321 y 1426 en que se levantó la girola y la capilla mayor (actual del " +
                        "Sagrario); la segunda entre 1426 y 1486 en que se edificaron tres tramos de las naves, una " +
                        "nueva capilla mayor y parte de la torre; y la tercera entre 1486 y 1516 bajo el mecenazgo " +
                        "de los obispos Fray Alonso de Burgos, Fray Diego de Deza y don Juan Rodríguez de " +
                        "Fonseca, con la participación de los arquitectos Bartolomé y Martín de Solórzano, Juan de " +
                        "Ruesga, Pascual de Jaén y Juan Gil de Hontañón, en que se realizaron el crucero, los cinco " +
                        "restantes tramos de las naves, el claustro y la sala capitular. Durante los siglos siguientes se " +
                        "ejecutaron obras menores entre las que destacan las decoraciones de varias capillas y " +
                        "bóvedas en el Renacimiento por los Corral de Villalpando; las reformas del claustro en " +
                        "época neoclásica, bajo el mandato del obispo Mollinedo. Ya a finales del XIX (1884-1901) " +
                        "comenzaron las restauraciones de varias capillas y arbotantes de la cabecera por los " +
                        "arquitectos Angel Cadano, M. González Rojas y Juan Agapito y Revilla. Ya en el siglo XX " +
                        "diversas intervenciones se debieron a Jerónimo Arroyo (1908-1917), fundamentalmente en " +
                        "las cubiertas y la crestería. En 1980 Fernando Chueca Goitia construyó la portada de la " +
                        "fachada oeste y en la última década el arquitecto Carlos Clemente rehace de nuevo las " +
                        "cubiertas. " +
                        " Notable es la cripta que presenta dos zonas espaciales de diversa época. La más " +
                        "profunda y estrecha (10 x 3 mts.) se cubre con losa planas de piedra y se divide por arcos " +
                        "de medio punto; el testero se cierra con tres arcos de herradura sobre dos columnas y " +
                        "capiteles, todo de época visigoda (S. VII), que se ha interpretado como la \"confessio\" de un " +
                        "templo martirial. El espacio anterior es obra románica levantada por el Obispo Ponce " +
                        "(1034), con bóveda de cañón y arcos fajones y cabecera semicircular que enlaza con la " +
                        "nave anterior. " +
                        "La Catedral en la actualidad presenta una planta basilical de tres naves de diez " +
                        "tramos, con girola de cinco capillas radiales y poligonales, doble crucero y capillas entre " +
                        "contrafuertes, todo siguiendo los modelos de las catedrales de Burgos y León. Destaca " +
                        "inscrita en el centro una cruz griega como gran espacio de carácter renacentista. Los " +
                        "soportes son pilares compuestos que reciben arcos apuntados y bóvedas de crucería, " +
                        "estrelladas y de terceletes y combados. Llama la atención también la inconclusión de la " +
                        "fachada occidental con la torpe anexión de la Capilla del Monumento (S. XVIII). Al " +
                        "exterior presenta tres puertas antiguas, la de Los Novios o del Salvador (S. XV), la de " +
                        "Santa María o del Obispo (XV-XVI) y la de San Juan o de los Reyes (XV-XVI). En el " +
                        "interior son notables la Capilla del Sagrario (primera capilla mayor), el actual presbiterio, " +
                        "el coro y trascoro en medio de la nave según la tradición española (1504-1516, obra de M. " +
                        "de Solórzano y J. de Ruesga), la escalera de la cripta (obra renacentista pionera en " +
                        "Castilla), varias capillas, la sacristía y el claustro y sus dependencias. " +
                        " El templo y el museo conservan magníficas obras de arte, como el tríptico de Jan " +
                        "Joest de Calcar, el retablo mayor (obra de Pedro de Gaudalupe, Alonso de Solórzano y " +
                        "Gonzalo de la Maza -arquitectura-, Alejo de Vahía, Felipe Vigarny y Juan de Valmaseda - " +
                        "esculturas-, Juan de Flandes y Juan de Tejerina -pinturas- y titular de Gregorio Fernández), " +
                        "pinturas de Mateo, Paul Coeck, El Greco; tapices flamencos de la escuela de Bruselas, la " +
                        "sillería del coro, rejas, platería, etc. \n" +
                        "Autor: C. Rodicio Rodríguez",
                Location = "42.0110,-4.5368"
                , InterestUrl = "http://servicios.jcyl.es/pweb/datos.do?numero=7583&tipo=Inmuebles&ruta="))

        Log.d(TAG, "Place de rellenabdsitios creados")
        return sitios
    }

    fun rellenabdtest(): ArrayList<Test> {
        var testlist = ArrayList<Test>()
        var listapreguntas = ArrayList<Question>()
        listapreguntas.add(Question(Questionid = 1, Text = "¿En que siglo se construyó?", Answer1 = "XV", Answer2 = "XVI", Answer3 = "XVIII", Answer4 = "XVII", CorrectAnswer = "2"))
        listapreguntas.add(Question(Questionid = 2, Text = "¿En que siglo se construyó la torre?", Answer1 = "XV", Answer2 = "XVI", Answer3 = "XVII", Answer4 = "XVIII", CorrectAnswer = "4"))
        listapreguntas.add(Question(Questionid = 3, Text = "¿En donde se encuentra?", Answer1 = "Palencia", Answer2 = "Burgos", Answer3 = "Soria", Answer4 = "Alejos", CorrectAnswer = "4"))
        listapreguntas.add(Question(Questionid = 4, Text = "¿Cúal es/son el estilo artístico predominante/s?", Answer1 = "Múdejar", Answer2 = "Renacentista y Múdejar", Answer3 = "Gótico", Answer4 = "Renacentista", CorrectAnswer = "2"))
        listapreguntas.add(Question(Questionid = 5, Text = "¿Con que materiales fue construida?", Answer1 = "Ladrillo y Mampostería", Answer2 = "Mampostería", Answer3 = "Barro", Answer4 = "Ladrillo", CorrectAnswer = "1"))
        testlist.add(Test(TestId = 1, Name = "Test Iglesia Santa Maria", Questions = listapreguntas, Score = "0"))

        listapreguntas = ArrayList<Question>()
        listapreguntas.add(Question(Questionid = 6, Text = "¿Donde se encuentra situado?", Answer1 = "Avila", Answer2 = "Madrid", Answer3 = "Soria", Answer4 = "Segovia", CorrectAnswer = "1"))
        listapreguntas.add(Question(Questionid = 7, Text = "Dimensiones del exterior", Answer1 = "60x60", Answer2 = "20x40", Answer3 = "90x60", Answer4 = "47x36", CorrectAnswer = "3"))
        listapreguntas.add(Question(Questionid = 8, Text = "¿Como se accedía al recinto?", Answer1 = "Mediante una escalera", Answer2 = "Con un sistema de poleas", Answer3 = "Por un pasadizo subterraneo", Answer4 = "Por un puente levadizo", CorrectAnswer = "4"))
        listapreguntas.add(Question(Questionid = 9, Text = "¿Forma de los dos recintos?", Answer1 = "Planta irregular", Answer2 = "Planta Irregular y Tendencia Rectangular", Answer3 = "Planta Regular", Answer4 = "Ninguna es cierta", CorrectAnswer = "4"))
        listapreguntas.add(Question(Questionid = 10, Text = "Dimensiones del interior", Answer1 = "60x60", Answer2 = "20x40", Answer3 = "90x60", Answer4 = "47x36", CorrectAnswer = "4"))
        testlist.add(Test(TestId = 2, Name = "Test Castillo de la Andrada", Questions = listapreguntas, Score = "0"))

        listapreguntas = ArrayList<Question>()
        listapreguntas.add(Question(Questionid = 11, Text = "¿Donde se encuentra?", Answer1 = "Palencia", Answer2 = "Burgos", Answer3 = "Soria", Answer4 = "León", CorrectAnswer = "4"))
        listapreguntas.add(Question(Questionid = 12, Text = "¿En que año se empezo a construir?", Answer1 = "1176", Answer2 = "1515", Answer3 = "1514", Answer4 = "1539", CorrectAnswer = "2"))
        listapreguntas.add(Question(Questionid = 13, Text = "¿Quien fue el primer arquitecto?", Answer1 = "Pedro de Larrea", Answer2 = "Juan Orozco", Answer3 = "Martín de Villarreal", Answer4 = "Pedro de Valladolid", CorrectAnswer = "1"))
        listapreguntas.add(Question(Questionid = 14, Text = "¿Quien lo mando construir ?", Answer1 = "Fernando el Catolico", Answer2 = "Recesvinto", Answer3 = "La Orden de Santiago", Answer4 = "Antonio de Valladolid", CorrectAnswer = "1"))
        listapreguntas.add(Question(Questionid = 15, Text = "¿Funcionalidad principal en el presente?", Answer1 = "Museo", Answer2 = "Cuartel", Answer3 = "Residencia para ancianos", Answer4 = "Palacio Real", CorrectAnswer = "1"))
        testlist.add(Test(TestId = 3, Name = "Test Convento de San Marcos", Questions = listapreguntas, Score = "0"))

        listapreguntas = ArrayList<Question>()
        listapreguntas.add(Question(Questionid = 16, Text = "¿En que año fue construido?", Answer1 = "21", Answer2 = "98", Answer3 = "112", Answer4 = "0", CorrectAnswer = "2"))
        listapreguntas.add(Question(Questionid = 17, Text = "¿Donde se encuentra ubicado?", Answer1 = "Burgos", Answer2 = "Palencia", Answer3 = "Segovia", Answer4 = "Avila", CorrectAnswer = "3"))
        listapreguntas.add(Question(Questionid = 18, Text = "¿Que emperador lo mando construir?", Answer1 = "Feliciano", Answer2 = "Don Roman", Answer3 = "Justiniano", Answer4 = "Domiciano", CorrectAnswer = "4"))
        listapreguntas.add(Question(Questionid = 19, Text = "¿Quien se encargo del mantenimiento del acueducto ?", Answer1 = "Fray Juan Escobedo", Answer2 = "Fray Juan de Leon", Answer3 = "Recesvinto", Answer4 = "Domiciano", CorrectAnswer = "1"))
        listapreguntas.add(Question(Questionid = 20, Text = "¿Quien ordeno restaurar el acueducto?", Answer1 = "Isabel la Catolica", Answer2 = "Fernando el Honesto", Answer3 = "Fray Juan Escobedo", Answer4 = "Fernando el Catolico", CorrectAnswer = "1"))
        testlist.add(Test(TestId = 4, Name = "Test Acueducto Romano", Questions = listapreguntas, Score = "0"))

        listapreguntas = ArrayList<Question>()
        listapreguntas.add(Question(Questionid = 21, Text = "¿Donde se encuentra ubicado?", Answer1 = "Burgos", Answer2 = "Palencia", Answer3 = "Segovia", Answer4 = "Avila", CorrectAnswer = "2"))
        listapreguntas.add(Question(Questionid = 22, Text = "¿Estilo arquitectonico?", Answer1 = "Gotico", Answer2 = "Romanico", Answer3 = "Visigodo", Answer4 = "Mezcla", CorrectAnswer = "4"))
        listapreguntas.add(Question(Questionid = 23, Text = "¿En que periodo se levantaron la girola y la capilla mayor?", Answer1 = "1321-1426", Answer2 = "1486-1516", Answer3 = "1480-1490", Answer4 = "1426-1486", CorrectAnswer = "1"))
        listapreguntas.add(Question(Questionid = 24, Text = "¿Que puerta se construyo en el siglo XV?", Answer1 = "P.de los Novios o Salvador", Answer2 = "P.Santa María", Answer3 = "P.Obispo", Answer4 = "P.De Antolín", CorrectAnswer = "1"))
        listapreguntas.add(Question(Questionid = 25, Text = "¿De quien es la cripta que se encuentra dentro?", Answer1 = "Santiago", Answer2 = "San Mateo", Answer3 = "Santo Tomas", Answer4 = "San Antolin", CorrectAnswer = "4"))
        testlist.add(Test(TestId = 5, Name = "Test Catedral de San Antolín", Questions = listapreguntas, Score = "0"))

        return testlist
    }
}
