package guillermocs.patrimonio30

import android.os.Bundle
import android.support.v7.app.AppCompatActivity


/**
 * @author Guillermo Cebrián Serrano
 * Clase activity que se encarga de crear el fragment con la lista de opciones
 */

class SettingsActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        // Comprobar que no se ha creado la actividad antes
        if (savedInstanceState == null) {
            // Crear el fragment
            val fragment = SettingsFragment()
            fragmentManager
                    .beginTransaction()
                    .add(android.R.id.content, fragment,
                            fragment.javaClass.simpleName)
                    .commit()


        }
    }
}
