package guillermocs.patrimonio30

import android.content.Intent
import android.content.SharedPreferences
import android.content.SharedPreferences.OnSharedPreferenceChangeListener
import android.os.Bundle
import android.preference.PreferenceFragment
import android.preference.PreferenceManager


/**
 * @author Guillermo Cebrián Serrano
 * Clase de tipo fragment que se encarga de gestionar las opciones
 */

class SettingsFragment : PreferenceFragment() {


    private var prefs: SharedPreferences? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        addPreferencesFromResource(R.xml.settings)
    }

    override fun onStart() {
        super.onStart()
        prefs = PreferenceManager.getDefaultSharedPreferences(activity)
    }

}

